[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGMap.IndexOfData

Find index of data value in the list.

## Declaration

Source position: fgl.pp line 329

`public function TFPGMap.IndexOfData(`
`const AData: TData`
`):Integer;`

## Arguments

`AData` |  | Data value to search

## Function result

Index of AData in the list, -1 if not present.

## Description

IndexOfData returns the index of AData in the list, or -1 if the data was not found in the list.

## Errors

None.

## See also

TFPGMap.Find |  | Find item based on key
TFPGMap.IndexOf |  | Find index of a key in the list.